import React from 'react';

export default function TemperatureAirEauSvgIcon() {
  return (
    <svg width="58" height="58" viewBox="0 0 58 58" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path
        d="M6.82263 12.0426C7.94066 13.8457 11.1829 17.0911 15.2078 15.6487C20.2389 13.8457 22.7545 9.3381 28.6241 9.3381C33.3198 9.3381 35.6118 11.7421 36.1708 12.9441"
        stroke="#91ABBA"
        strokeWidth="2.66801"
        strokeLinecap="round"
      />
      <path
        d="M6.82263 21.3807C7.94066 23.1837 11.1829 26.4291 15.2078 24.9867C20.2389 23.1837 22.7545 18.6761 28.6241 18.6761C33.3198 18.6761 35.6118 21.0802 36.1708 22.2822"
        stroke="#91ABBA"
        strokeWidth="2.66801"
        strokeLinecap="round"
      />
      <path
        d="M6.82263 30.7187C7.94066 32.5217 11.1829 35.7672 15.2078 34.3248C20.2389 32.5217 22.7545 28.0142 28.6241 28.0142C33.3198 28.0142 35.6118 30.4182 36.1708 31.6202"
        stroke="#91ABBA"
        strokeWidth="2.66801"
        strokeLinecap="round"
      />
      <path
        d="M20.9199 23.8576C20.1832 23.8576 19.5859 24.4548 19.5859 25.1916C19.5859 25.9283 20.1832 26.5256 20.9199 26.5256V23.8576ZM28.3263 21.7609V23.0949V21.7609ZM43.5366 21.7609V23.0949V21.7609ZM51.4219 26.5256C52.1586 26.5256 52.7559 25.9283 52.7559 25.1916C52.7559 24.4548 52.1586 23.8576 51.4219 23.8576V26.5256ZM20.9199 26.5256C23.5671 26.5256 25.5031 25.5222 26.8396 24.5582C27.494 24.0861 28.0241 23.6078 28.373 23.3063C28.563 23.1422 28.6711 23.0548 28.7383 23.0087C28.8626 22.9236 28.6778 23.0949 28.3263 23.0949V20.4269C27.791 20.4269 27.3796 20.7055 27.2301 20.8079C27.0235 20.9495 26.8108 21.1301 26.6285 21.2876C26.2331 21.6294 25.8134 22.0087 25.2788 22.3943C24.2371 23.1457 22.8377 23.8576 20.9199 23.8576V26.5256ZM28.3263 23.0949C27.9807 23.0949 27.7988 22.9282 27.9322 23.0174C28.0064 23.067 28.1213 23.1573 28.3211 23.3233C28.6909 23.6303 29.2445 24.1064 29.9388 24.579C31.3541 25.5424 33.3961 26.5256 36.1996 26.5256V23.8576C34.0717 23.8576 32.5447 23.1254 31.4401 22.3735C30.8745 21.9884 30.4304 21.6068 30.0255 21.2707C29.838 21.115 29.6214 20.9373 29.4148 20.7993C29.2676 20.7008 28.8558 20.4269 28.3263 20.4269V23.0949ZM36.1996 26.5256C38.8105 26.5256 40.7773 25.5234 42.1267 24.5632C42.7959 24.0871 43.3245 23.6128 43.6832 23.2939C43.8763 23.1221 43.9866 23.0259 44.061 22.9692C44.0972 22.9416 44.0857 22.954 44.0406 22.9779C44.0189 22.9894 43.8277 23.0949 43.5366 23.0949V20.4269C43.1787 20.4269 42.9068 20.5592 42.7904 20.621C42.6505 20.6952 42.5302 20.7812 42.4434 20.8475C42.2717 20.9783 42.0789 21.1502 41.9103 21.3001C41.5456 21.6244 41.1163 22.0077 40.58 22.3893C39.5186 23.1445 38.0843 23.8576 36.1996 23.8576V26.5256ZM43.5366 23.0949C43.1717 23.0949 42.977 22.9122 43.1155 23.0074C43.1885 23.0576 43.3008 23.1483 43.4994 23.316C43.867 23.6266 44.4156 24.1033 45.1119 24.5783C46.53 25.5457 48.5834 26.5256 51.4219 26.5256V23.8576C49.25 23.8576 47.7118 23.1222 46.6154 22.3742C46.0544 21.9915 45.615 21.6106 45.2212 21.2779C45.039 21.124 44.8273 20.9466 44.6275 20.8092C44.4933 20.7169 44.077 20.4269 43.5366 20.4269V23.0949Z"
        fill="#1D9CE3"
      />
      <path
        d="M20.9199 33.7315C20.1832 33.7315 19.5859 34.3287 19.5859 35.0655C19.5859 35.8022 20.1832 36.3995 20.9199 36.3995V33.7315ZM28.3263 31.6348V32.9688V31.6348ZM43.5366 31.6348V32.9688V31.6348ZM51.4219 36.3995C52.1586 36.3995 52.7559 35.8022 52.7559 35.0655C52.7559 34.3287 52.1586 33.7315 51.4219 33.7315V36.3995ZM20.9199 36.3995C23.5671 36.3995 25.5031 35.396 26.8396 34.4321C27.494 33.96 28.0241 33.4817 28.373 33.1802C28.563 33.016 28.6711 32.9287 28.7383 32.8826C28.8626 32.7974 28.6778 32.9688 28.3263 32.9688V30.3008C27.791 30.3008 27.3796 30.5793 27.2301 30.6818C27.0235 30.8234 26.8108 31.004 26.6285 31.1615C26.2331 31.5032 25.8134 31.8826 25.2788 32.2682C24.2371 33.0195 22.8377 33.7315 20.9199 33.7315V36.3995ZM28.3263 32.9688C27.9807 32.9688 27.7988 32.8021 27.9322 32.8913C28.0064 32.9408 28.1213 33.0312 28.3211 33.1971C28.6909 33.5042 29.2445 33.9803 29.9388 34.4529C31.3541 35.4163 33.3961 36.3995 36.1996 36.3995V33.7315C34.0717 33.7315 32.5447 32.9993 31.4401 32.2474C30.8745 31.8623 30.4304 31.4807 30.0255 31.1445C29.838 30.9888 29.6214 30.8112 29.4148 30.6731C29.2676 30.5747 28.8558 30.3008 28.3263 30.3008V32.9688ZM36.1996 36.3995C38.8105 36.3995 40.7773 35.3972 42.1267 34.4371C42.7959 33.961 43.3245 33.4867 43.6832 33.1677C43.8763 32.996 43.9866 32.8998 44.061 32.843C44.0972 32.8155 44.0857 32.8279 44.0406 32.8518C44.0189 32.8633 43.8277 32.9688 43.5366 32.9688V30.3008C43.1787 30.3008 42.9068 30.4331 42.7904 30.4948C42.6505 30.569 42.5302 30.6551 42.4434 30.7213C42.2717 30.8522 42.0789 31.024 41.9103 31.1739C41.5456 31.4983 41.1163 31.8816 40.58 32.2632C39.5186 33.0184 38.0843 33.7315 36.1996 33.7315V36.3995ZM43.5366 32.9688C43.1717 32.9688 42.977 32.786 43.1155 32.8813C43.1885 32.9315 43.3008 33.0221 43.4994 33.1899C43.867 33.5004 44.4156 33.9772 45.1119 34.4521C46.53 35.4195 48.5834 36.3995 51.4219 36.3995V33.7315C49.25 33.7315 47.7118 32.996 46.6154 32.2481C46.0544 31.8654 45.615 31.4845 45.2212 31.1518C45.039 30.9979 44.8273 30.8205 44.6275 30.6831C44.4933 30.5908 44.077 30.3008 43.5366 30.3008V32.9688Z"
        fill="#1D9CE3"
      />
      <path
        d="M20.9199 43.6054C20.1832 43.6054 19.5859 44.2027 19.5859 44.9394C19.5859 45.6762 20.1832 46.2734 20.9199 46.2734V43.6054ZM28.3263 41.5087V42.8428V41.5087ZM43.5366 41.5087V42.8428V41.5087ZM51.4219 46.2734C52.1586 46.2734 52.7559 45.6762 52.7559 44.9394C52.7559 44.2027 52.1586 43.6054 51.4219 43.6054V46.2734ZM20.9199 46.2734C23.5671 46.2734 25.5031 45.27 26.8396 44.306C27.494 43.834 28.0241 43.3556 28.373 43.0541C28.563 42.89 28.6711 42.8026 28.7383 42.7566C28.8626 42.6714 28.6778 42.8428 28.3263 42.8428V40.1747C27.791 40.1747 27.3796 40.4533 27.2301 40.5557C27.0235 40.6973 26.8108 40.878 26.6285 41.0354C26.2331 41.3772 25.8134 41.7565 25.2788 42.1422C24.2371 42.8935 22.8377 43.6054 20.9199 43.6054V46.2734ZM28.3263 42.8428C27.9807 42.8428 27.7988 42.6761 27.9322 42.7652C28.0064 42.8148 28.1213 42.9052 28.3211 43.0711C28.6909 43.3782 29.2445 43.8542 29.9388 44.3268C31.3541 45.2903 33.3961 46.2734 36.1996 46.2734V43.6054C34.0717 43.6054 32.5447 42.8732 31.4401 42.1213C30.8745 41.7363 30.4304 41.3547 30.0255 41.0185C29.838 40.8628 29.6214 40.6851 29.4148 40.5471C29.2676 40.4486 28.8558 40.1747 28.3263 40.1747V42.8428ZM36.1996 46.2734C38.8105 46.2734 40.7773 45.2712 42.1267 44.311C42.7959 43.8349 43.3245 43.3606 43.6832 43.0417C43.8763 42.87 43.9866 42.7738 44.061 42.717C44.0972 42.6894 44.0857 42.7018 44.0406 42.7258C44.0189 42.7372 43.8277 42.8428 43.5366 42.8428V40.1747C43.1787 40.1747 42.9068 40.3071 42.7904 40.3688C42.6505 40.443 42.5302 40.5291 42.4434 40.5953C42.2717 40.7262 42.0789 40.898 41.9103 41.0479C41.5456 41.3722 41.1163 41.7556 40.58 42.1371C39.5186 42.8923 38.0843 43.6054 36.1996 43.6054V46.2734ZM43.5366 42.8428C43.1717 42.8428 42.977 42.66 43.1155 42.7553C43.1885 42.8055 43.3008 42.8961 43.4994 43.0638C43.867 43.3744 44.4156 43.8511 45.1119 44.3261C46.53 45.2935 48.5834 46.2734 51.4219 46.2734V43.6054C49.25 43.6054 47.7118 42.87 46.6154 42.1221C46.0544 41.7394 45.615 41.3584 45.2212 41.0257C45.039 40.8719 44.8273 40.6945 44.6275 40.557C44.4933 40.4647 44.077 40.1747 43.5366 40.1747V42.8428Z"
        fill="#1D9CE3"
      />
    </svg>
  );
}
